import { Widget } from '@phosphor/widgets';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import '../style/index.css';
/**
 * The MIME type for HTML.
 */
export declare const MIME_TYPE = "application/jupyterlab_html";
export declare const HTML_CLASS = "jp-HTMLViewer";
export declare const HTML_CONTAINER_CLASS = "jp-HTMLContainer";
export declare class RenderedIFrame extends Widget implements IRenderMime.IRenderer {
    /**
     * Create a new widget for rendering HTML.
     */
    constructor(options: IRenderMime.IRendererOptions);
    /**
     * Render HTML in IFrame into this widget's node.
     */
    renderModel(model: IRenderMime.IMimeModel): Promise<void>;
    private _mimeType;
}
/**
 * A mime renderer factory for HTML data.
 */
export declare const rendererFactory: IRenderMime.IRendererFactory;
declare const extensions: IRenderMime.IExtension | IRenderMime.IExtension[];
export default extensions;
